pcl::io::ply Namespace Reference

## Namespaces

| io_operators

## Classes

class | ply_parser
| Class ply_parser parses a PLY file and generates appropriate atomic parsers for the body. More...
struct | type_traits

## Typedefs

typedef boost::int8_t | int8
typedef boost::int16_t | int16
typedef boost::int32_t | int32
typedef boost::uint8_t | uint8
typedef boost::uint16_t | uint16
typedef boost::uint32_t | uint32
typedef float | float32
typedef double | float64
typedef int | format_type

## Enumerations

enum | byte_order { little_endian_byte_order, big_endian_byte_order, network_byte_order = big_endian_byte_order }
enum | format { ascii_format, binary_little_endian_format, binary_big_endian_format, unknown }

## Functions

template<std::size_t N>
void | swap_byte_order (char *bytes)
template<>
void | swap_byte_order< 1 > (char *)
template<>
void | swap_byte_order< 2 > (char *bytes)
template<>
void | swap_byte_order< 4 > (char *bytes)
template<>
void | swap_byte_order< 8 > (char *bytes)
template<typename T >
void | swap_byte_order (T &value)
| PLY_TYPE_TRAITS (int8, int16, "int8", "char")
| PLY_TYPE_TRAITS (int16, int16, "int16", "short")
| PLY_TYPE_TRAITS (int32, int32, "int32", "int")
| PLY_TYPE_TRAITS (uint8, uint16, "uint8", "uchar")
| PLY_TYPE_TRAITS (uint16, uint16, "uint16", "ushort")
| PLY_TYPE_TRAITS (uint32, uint32, "uint32", "uint")
| PLY_TYPE_TRAITS (float32, float32, "float32", "float")
| PLY_TYPE_TRAITS (float64, float64, "float64", "double")

## Typedef Documentation

## float32

typedef float pcl::io::ply::float32

Definition at line 66 of file ply.h.

## float64

typedef double pcl::io::ply::float64

Definition at line 67 of file ply.h.

## format_type

typedef int pcl::io::ply::format_type

Definition at line 98 of file ply.h.

## int16

typedef boost::int16_t pcl::io::ply::int16

Definition at line 60 of file ply.h.

## int32

typedef boost::int32_t pcl::io::ply::int32

Definition at line 61 of file ply.h.

## int8

typedef boost::int8_t pcl::io::ply::int8

Definition at line 59 of file ply.h.

## uint16

typedef boost::uint16_t pcl::io::ply::uint16

Definition at line 63 of file ply.h.

## uint32

typedef boost::uint32_t pcl::io::ply::uint32

Definition at line 64 of file ply.h.

## uint8

typedef boost::uint8_t pcl::io::ply::uint8

Definition at line 62 of file ply.h.

## Enumeration Type Documentation

## byte_order

enum pcl::io::ply::byte_order

Enumerator
little_endian_byte_order |
big_endian_byte_order |
network_byte_order |

Definition at line 57 of file byte_order.h.

## format

enum pcl::io::ply::format

Enumerator
ascii_format |
binary_little_endian_format |
binary_big_endian_format |
unknown |

Definition at line 99 of file ply.h.

## Function Documentation

## PLY_TYPE_TRAITS() [1/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | int8 | ,
|  | int16 | ,
|  | "int8" | ,
|  | "char" |
| ) |  |

## PLY_TYPE_TRAITS() [2/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | int16 | ,
|  | int16 | ,
|  | "int16" | ,
|  | "short" |
| ) |  |

## PLY_TYPE_TRAITS() [3/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | int32 | ,
|  | int32 | ,
|  | "int32" | ,
|  | "int" |
| ) |  |

## PLY_TYPE_TRAITS() [4/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | uint8 | ,
|  | uint16 | ,
|  | "uint8" | ,
|  | "uchar" |
| ) |  |

## PLY_TYPE_TRAITS() [5/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | uint16 | ,
|  | uint16 | ,
|  | "uint16" | ,
|  | "ushort" |
| ) |  |

## PLY_TYPE_TRAITS() [6/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | uint32 | ,
|  | uint32 | ,
|  | "uint32" | ,
|  | "uint" |
| ) |  |

## PLY_TYPE_TRAITS() [7/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | float32 | ,
|  | float32 | ,
|  | "float32" | ,
|  | "float" |
| ) |  |

## PLY_TYPE_TRAITS() [8/8]

pcl::io::ply::PLY_TYPE_TRAITS | ( | float64 | ,
|  | float64 | ,
|  | "float64" | ,
|  | "double" |
| ) |  |

## swap_byte_order() [1/2]

template<std::size_t N>

void pcl::io::ply::swap_byte_order | ( | char * | bytes | ) |

Referenced by pcl::io::ply::ply_parser::end_header_callback().

## swap_byte_order() [2/2]

template<typename T >

void pcl::io::ply::swap_byte_order | ( | T & | value | ) |

Definition at line 100 of file byte_order.h.

## swap_byte_order< 1 >()

template<>

void pcl::io::ply::swap_byte_order< 1 > | ( | char * |  | ) |

inline

Definition at line 75 of file byte_order.h.

## swap_byte_order< 2 >()

template<>

void pcl::io::ply::swap_byte_order< 2 > | ( | char * | bytes | ) |

inline

Definition at line 78 of file byte_order.h.

## swap_byte_order< 4 >()

template<>

void pcl::io::ply::swap_byte_order< 4 > | ( | char * | bytes | ) |

inline

Definition at line 84 of file byte_order.h.

## swap_byte_order< 8 >()

template<>

void pcl::io::ply::swap_byte_order< 8 > | ( | char * | bytes | ) |

inline

Definition at line 91 of file byte_order.h.